<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author			juan.agudelo
@modified  by pedro.garcia
@version 		2.0
@description 	 Pantalla que muestra los trámites asociados a una solicitud
@cu 			CU-CO-R-01
@param			selectedSolicitudParam: Solicitud seleccionada que entra como parámetro
@param			managedBeanParam: 		Nombre del ManagedBean del que se obtendran los parametros
@param			selectedTramitesParam: 	Objeto del tipo Tramite que almacenará los valores de trámites en el 
                                        formulario de Solicitud
@param			banderaMostrarAvisosRechazadosParam: indica si se deben mostrar ese tipo de avisos
    
-->

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Strict//EN" "http://www.w3.org/TR/html4/strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" width="100%"
             rendered="#{not empty managedBeanParam.solicitudSeleccionada.tramites or 
                         not empty selectedSolicitudParam.solicitudAvisoRegistro.avisoRegistroRechazos}">

    <p:dataTable value="#{managedBeanParam.solicitudSeleccionada.tramites}"
                 var="tramiteSolicitud" id="solicitudTramitesTableD"
                 widgetVar="solicitudTramitesTableWV"
                 emptyMessage="No se encontraron trámites asociados a la solictud"
                 rowKey="#{tramiteSolicitud.id}"
                 selection="#{managedBeanParam.tramiteSeleccionado}"
                 rendered="#{not empty managedBeanParam.solicitudSeleccionada.tramites}">

        <f:facet name="header">  
            Trámites
        </f:facet>

        <p:column>
            <f:facet name="header">
                No. Radicación
            </f:facet>
            <p:commandLink 
                styleClass="commandLinkStyleInTable"
                onstart="statusDialog2.show();"
                oncomplete="detalleTramiteEjecutarWV.show(); statusDialog2.hide();"
                process="@this" update=":detalleTramiteEjecutarForm"
                value="#{tramiteSolicitud.numeroRadicacion}">
                <f:setPropertyActionListener value="#{tramiteSolicitud}"
                                             target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
            </p:commandLink>
        </p:column>

        <p:column>
            <f:facet name="header">
                Fecha de<br/> radicación
            </f:facet>
            <h:outputText value="#{tramiteSolicitud.fechaRadicacion}"
                          styleClass="outputTextStyleInTable">
                <f:convertDateTime pattern="dd/MM/yyyy hh:mm aaa" locale="es"
                                   timeZone="GMT-5" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                Tipo de trámite
            </f:facet>
            <h:outputText value="#{tramiteSolicitud.tipoTramite}"
                          id="TramiteTipoTramiteV" styleClass="outputTextStyleInTable">
                <f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
            </h:outputText>
            <p:spacer width="5" />
            <h:outputText value="#{tramiteSolicitud.claseMutacion}"
                          id="MutacionClase" styleClass="outputTextStyleInTable">
                <f:converter converterId="converterCB" for="MutacionClase" />
            </h:outputText>
            <h:outputText value=" "></h:outputText>
            <h:outputText value="#{tramiteSolicitud.subtipo}"
                          id="SubtipoMutacionSClase" styleClass="outputTextStyleInTable"
                          rendered="#{tramiteSolicitud.segunda}">
                <f:converter converterId="converterCB" for="SubtipoMutacionSClase" />
            </h:outputText>
            <h:outputText value=" "></h:outputText>
            <h:outputText value="#{tramiteSolicitud.subtipo}"
                          id="SubtipoMutacionQClase" styleClass="outputTextStyleInTable"
                          rendered="#{tramiteSolicitud.quinta}">
                <f:converter converterId="converterCB" for="SubtipoMutacionQClase" />
            </h:outputText>

        </p:column>

        <p:column>
            <f:facet name="header">
                Departamento
            </f:facet>
            <h:outputText value="#{tramiteSolicitud.departamento.nombre}" 
                          styleClass="outputTextStyleInTable"/>
        </p:column>

        <p:column>
            <f:facet name="header">
                Municipio
            </f:facet>
            <h:outputText value="#{tramiteSolicitud.municipio.nombre}" 
                          styleClass="outputTextStyleInTable"/>
        </p:column>

        <p:column>
            <f:facet name="header">
                No. Predial
            </f:facet>

            <p:commandLink
                value="#{tramiteSolicitud.predio.formattedNumeroPredialCompleto}"
                process="@this" update=":dpCC:detallesPredioTV"
                styleClass="commandLinkStyleInTable"
                oncomplete="detallesPredioWV.show();statusDialog2.hide()"
                onstart="statusDialog2.show()" action="#{consultaPredio.cleanAllMB}"
                rendered="#{not empty tramiteSolicitud.predio and tramiteSolicitud.subtipo != 'ENGLOBE'}">
                <f:setPropertyActionListener
                    target="#{consultaPredio.selectedPredioId}"
                    value="#{tramiteSolicitud.predio.id}" />
            </p:commandLink>

            <h:outputText
                value="#{tramiteSolicitud.formattedNumeroPredialCompleto}" 
                rendered="#{not empty tramiteSolicitud.numeroPredial and empty tramiteSolicitud.predio and tramiteSolicitud.subtipo != 'ENGLOBE'}" 
                styleClass="outputTextStyleInTable"/>

            <p:dataList value="#{tramiteSolicitud.tramitePredioEnglobes}"
                        var="prediosEnglobe" itemType="square"
                        rendered="#{tramiteSolicitud.subtipo == 'ENGLOBE'}">
                <p:column>
                    <p:commandLink action="#{consultaPredio.cleanAllMB}"
                                   immediate="true" oncomplete="detallesPredioWV.show();statusDialog2.hide()"
                                   update=":dpCC:detallesPredioTV">
                        <h:outputText value="#{prediosEnglobe.predio.formattedNumeroPredialCompleto}" 
                                      styleClass="commandLinkStyleInTable"/>
                        <f:setPropertyActionListener
                            value="#{prediosEnglobe.predio.id}"
                            target="#{consultaPredio.selectedPredioId}" />
                    </p:commandLink>
                </p:column>
            </p:dataList>
        </p:column>

        <p:column>
            <f:facet name="header">
                No. Predial anterior
            </f:facet>
            <h:outputText
                value="#{tramiteSolicitud.predio.numeroPredialAnterior}" 
                styleClass="commandLinkStyleInTable"/>
        </p:column>

        <p:column>
            <f:facet name="header">
                Documentación
            </f:facet>
            <h:outputText value="#{tramiteSolicitud.documentacionCompleta}" />
        </p:column>

    </p:dataTable>

    <p:spacer height="0" width="1"
              rendered="#{not empty managedBeanParam.solicitudSeleccionada.tramites}" />
    <h:panelGrid width="100%"
                 rendered="#{selectedSolicitudParam.solicitudAvisos and 
                             not empty selectedSolicitudParam.solicitudAvisoRegistro.avisoRegistroRechazos}">
        <ui:include src="tablaTramitesRechazadosAvisoSolicitud.xhtml">
            <ui:param name="managedBeanAvisosRechazadosParam"
                      value="#{managedBeanParam}" />
        </ui:include>
    </h:panelGrid>

</h:panelGrid>